<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The port-component element associates a WSDL port with a Web service interface and implementation.  It defines the name of the port as a component, optional description, optional display name, optional iconic representations, WSDL port QName, Service Endpoint Interface, Service Implementation Bean.">
<meta name="KeyWords" content="PortComponent,Class PortComponent,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;PortComponent&nbsp;{Java}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;port-component&nbsp;element&nbsp;associates&nbsp;a&nbsp;WSDL&nbsp;port&nbsp;with&nbsp;a&nbsp;Web&nbsp;service&nbsp;interface&nbsp;and&nbsp;implementation.&nbsp;&nbsp;It&nbsp;defines&nbsp;the&nbsp;name&nbsp;of&nbsp;the&nbsp;port&nbsp;as&nbsp;a&nbsp;component,&nbsp;optional&nbsp;description,&nbsp;optional&nbsp;display&nbsp;name,&nbsp;optional&nbsp;iconic&nbsp;representations,&nbsp;WSDL&nbsp;port&nbsp;QName,&nbsp;Service&nbsp;Endpoint&nbsp;Interface,&nbsp;Service&nbsp;Implementation&nbsp;Bean.
<BR></font><BR><BR>
</body>
</html>
